// @use '~@angular/material' as mat;
@use '../palettes/my-palette.scss' as palettes;

// @include mat.core();

// // TODO: use my custom palette
// // $my-primary: mat.define-palette(mat.$indigo-palette, 500);
// // $my-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);
// $my-primary: mat.define-palette(palettes.$my-palette, 500);
// // $my-accent: mat.define-palette(palettes.$my-palette, A200, A100, A400);
// $my-accent: mat.define-palette(palettes.$my-palette, 200, 100, 400);
// // The warn palette is optional, defaults to red if not specifiedd
// // $my-warn: mat.define-palette(mat.$red-palette);

// /* constructing a theme */
// $my-theme: mat.define-light-theme((
//   color: (
//     primary: $my-primary,
//     accent: $my-accent,
//     // warn: $my-warn,
//   ),
// ));

// @debug(map-get($map: map-get($map: map-get($map: $my-theme, $key: color), $key: primary), $key: 500)); // primary color

// // emit theme-dependent styles for common features used across multiple components
// @include mat.core-theme($my-theme);

// // emit styles for MatButton based on '$my-theme'
// @include mat.button-theme($my-theme);

@import "~@angular/material/theming";
@include mat-core();

$primary-light: mat-palette(palettes.$my-palette, 500);
$accent-light: mat-palette(palettes.$my-palette, 100);
// $light-theme: mat-light-theme($primary-light, $accent-light);
$light-theme: mat-light-theme(
  (
    color: (
      primary: $primary-light,
      accent: $accent-light,
    ),
  )
);

$primary-dark: mat-palette(palettes.$my-palette, 100);
$accent-dark: mat-palette(palettes.$my-palette, 900);
$dark-theme: mat-light-theme($primary-light, $accent-light);

@include angular-material-theme($light-theme);

.dark-theme {
  @include angular-material-theme($dark-theme);
}
